export declare type Thunk = () => void;
export declare type Callback<T> = (data: T) => void;
export declare type AsyncCallback<T> = (data: T) => Promise<void>;
export declare type SyncOrAsyncCallback<T> = (data: T) => Promise<void> | void;
export declare type ClassThatImplements<T> = new (...args: any[]) => T;
export declare enum Cmp {
    LT = -1,
    EQ = 0,
    GT = 1
}
